flake8 python linter updated

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

flake8 python linter updated

Antoine Musso-3
Hello,

If you are using the python linter "flake8", a new version has been
released today.

If your dependency is unbound, CI will pick up the new version (3.6.0)
which will most probably report new errors and breaks the build.

You can either fix the lint issues, or set an upper bound to the version
with:

 flake8<=3.6.0


Ref:
https://pypi.org/project/flake8/#history


--
Antoine Musso


_______________________________________________
Wikitech-l mailing list
[hidden email]
https://lists.wikimedia.org/mailman/listinfo/wikitech-l